| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Data Fields
bladerf_quick_tune Struct Reference
Channel control » Scheduled Tuning

## Description

Quick Re-tune parameters.

Note
  These parameters, which are associated with the RFIC's register values, are sensitive to changes in the operating environment (e.g., temperature).

This structure should be filled in via bladerf_get_quick_tune().

Definition at line 1835 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Data Fields
union { |
struct { |
uint8_t freqsel |
uint8_t vcocap |
uint16_t nint |
uint32_t nfrac |
uint8_t flags |
uint8_t xb_gpio |
} |
struct { |
uint16_t nios_profile |
uint8_t rffe_profile |
uint8_t port |
uint8_t spdt |
} |
}; |

## Field Documentation

## ◆ flags

uint8_t flags

Flag bits used internally by libbladeRF

Definition at line 1843 of file libbladeRF.h.

## ◆ freqsel

uint8_t freqsel

Choice of VCO and VCO division factor

Definition at line 1839 of file libbladeRF.h.

## ◆ nfrac

uint32_t nfrac

Fractional portion of LO frequency value

Definition at line 1842 of file libbladeRF.h.

## ◆ nint

uint16_t nint

Integer portion of LO frequency value

Definition at line 1841 of file libbladeRF.h.

## ◆ nios_profile

uint16_t nios_profile

Profile number in Nios

Definition at line 1848 of file libbladeRF.h.

## ◆ port

uint8_t port

RFFE port settings

Definition at line 1850 of file libbladeRF.h.

## ◆ rffe_profile

uint8_t rffe_profile

Profile number in RFFE

Definition at line 1849 of file libbladeRF.h.

## ◆ spdt

uint8_t spdt

External SPDT settings

Definition at line 1851 of file libbladeRF.h.

## ◆ vcocap

uint8_t vcocap

VCOCAP value

Definition at line 1840 of file libbladeRF.h.

## ◆ xb_gpio

uint8_t xb_gpio

Flag bits used to configure XB

Definition at line 1844 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h